GenAuth DocsDocuments
Concepts
User Guide
Development Integration
AgentAuth
Metadata
Development Integration
Multi-tenant (beta)
Console Documentation
Multi-tenant Console
Tenant Console
Saas Application Demo
Concepts
User Guide
Development Integration
AgentAuth
Metadata
Development Integration
Multi-tenant (beta)
Console Documentation
Multi-tenant Console
Tenant Console
Saas Application Demo
Old version
Development Integration
  • API

  • SDK

    • Java

    • Node.js

    • Python

      • Installation and Usage
      • Authentication Module

        • Login

        • Logout

        • Register

        • User Profile

          • Get User Profile
          • Update User Profile
          • Bind Email
          • Unbind Email
          • Bind Phone
          • Unbind Phone
          • Get Password Strength and Account Security Score
          • Update Password
          • Initiate Email Update Verification Request
          • Update Email
          • Initiate Phone Update Verification Request
          • Update Phone
          • Initiate Reset Password Request
          • Reset Password
          • Initiate Account Deletion Request
          • Delete Account
        • Account Binding

        • MFA Factor Management

        • User Related Resources

        • Message Service

        • WeChat Related APIs

        • Others

        • OIDC Module
        • OAuth Module
        • SAML Module
        • CAS Module
        • Events
      • Management Module

  • Error Codes
  1. Development Integration
  2. /
  3. SDK
  4. /
  5. Python
  6. /
  7. Authentication Module

  8. /
  9. User Profile

  10. /
  11. Initiate Email Update Verification Request

¶ Initiate a verification request to modify the mailbox

Update time: 2025-07-23 07:34:21
Edit

This document is automatically generated based on https://github.com/authing/authing-docs-factory based on the https://api-explorer.genauth.ai V3 API, and is consistent with the API parameters and return results. If the document description is incorrect, please refer to the V3 API.

When the end user modifies the mailbox on his own, the corresponding verification method needs to be provided. This interface is used to verify whether the user's request to modify the mailbox is legal. Currently, verification is supported by Mailbox Verification Code. You need to call the Send Mail interface to send the corresponding email verification code first.

¶ Method name

AuthenticationClient.verify_update_email_request

¶ Request parameters

NameType
Required
Default value
Description
Sample value
emailPassCodePayloadUpdateEmailByEmailPassCodeDtoYes-Data verified using email verification code
verifyMethodstringYes-Modify the verification method used by the current email:
- EMAIL_PASSCODE: Verify by email verification code, currently only this verification method is supported.
EMAIL_PASSCODE

¶ Request response

Type: VerifyUpdateEmailRequestRespDto

NameTypeDescription
statusCodenumberBusiness status code, which can be used to determine whether the operation is successful, 200 means success.
messagestringDescription
apiCodenumberSegmented error code, which can be used to get the specific error type (successful request does not return). For a detailed list of error codes, see: API Code List (opens new window)
requestIdstringRequest ID. Returned when the request fails.
dataVerifyUpdateEmailRequestDataResponse data

Sample result:

{
  "statusCode": 200,
  "message": "Operation successful",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
  "data": {
    "tokenExpiresIn": 60
  }
}

¶ Data structure

¶ UpdateEmailByEmailPassCodeDto

NameType
Is it required
Description
Sample value
newEmailstringyesNew emailnew@example.com
newEmailPassCodestringyesNew email verification code123456
oldEmailstringnoOld email. If the user pool has enabled the previous email to be verified when changing the email, this parameter is required.old@example.com
oldEmailPassCodestringnoOld email verification code. If the user pool has enabled the previous email to be verified when changing the email, this parameter is required.123456

¶ VerifyUpdateEmailRequestData

NameType
Required
Description
Sample value
updateEmailTokenstringYesThe token used to modify the current mailbox. You need to use this token to call the Modify mailbox interface.
tokenExpiresInnumberYesThe token validity period, which is 60 seconds.60
Previous article: Update Password Next article: Update Email
  • Method name
  • Request parameters
  • Request response
  • Data structure

User identity management

Integrated third-party login
Customized authentication process

Enterprise internal management

Single sign-on
Multi-factor authentication
Permission management

Developer

Development Documentation
GitHub (opens new window)

Company

official@genauth.ai
16th Floor, Building B, Beichen Century Center, Chaoyang District, Beijing (Total)
Room 406, 4th Floor, Block B, No. 200, Tianfu Fifth Street, High-tech Zone, Chengdu (Branch)

© Beijing Steamory Technology Co., Ltd.